class FrontControllerMain {
    public static void main(String[] args) {
        System.out.println("Wzorzec Front Controller, system pojazdów");
        var vehicleController = new VehicleController();

        vehicleController.processRequest("silnik");
        vehicleController.authorize();
        vehicleController.processRequest("silnik");
        vehicleController.processRequest("hamulce");
    }
}
